Page MenuHomePhabricator

[BPI] Look through bitcasts in calcZeroHeuristic
ClosedPublic

Authored by weiwang on Nov 13 2020, 11:21 AM.

Details

Summary

Constant hoisting may hide the constant value behind bitcast for And's
operand. Track down the constant to make the BFI result consistent
regardless of hoisting.

Diff Detail

Event Timeline

weiwang created this revision.Nov 13 2020, 11:21 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 13 2020, 11:21 AM
weiwang requested review of this revision.Nov 13 2020, 11:21 AM
weiwang edited the summary of this revision. (Show Details)Nov 13 2020, 11:27 AM
samparker accepted this revision.Nov 16 2020, 4:11 AM

Thanks. It's okay to commit cleanup NFCs without review, so don't worry about these kind of patches up for review in the future.

This revision is now accepted and ready to land.Nov 16 2020, 4:11 AM

But now I understand that this isn't an NFC! So can you add a test please?

weiwang updated this revision to Diff 305555.Nov 16 2020, 10:26 AM

add test case

This revision was landed with ongoing or failed builds.Nov 17 2020, 9:34 AM
This revision was automatically updated to reflect the committed changes.